version: '3'

services:

  # db server
  postgresql:
    image: postgres:12.2
    ports:
      - 21122:5432

    container_name:  postgresql_c
    hostname:        postgresql_c
    restart: unless-stopped

    environment:
      POSTGRES_DB:       postgres
      POSTGRES_USER:     admin
      POSTGRES_PASSWORD: secret
      PGDATA:            /var/lib/postgresql/data

    volumes:
      - postgresql_v:/var/lib/postgresql/data


  # db GUI client
  pgadmin:
    image: dpage/pgadmin4:4.18
    ports:
      - 21123:80

    container_name:  pgadmin_c
    hostname:        pgadmin_c
    restart: unless-stopped

    environment:
      PGADMIN_DEFAULT_EMAIL:    admin@admin.com
      PGADMIN_DEFAULT_PASSWORD: secret
      PGADMIN_LISTEN_PORT:      80

    volumes:
      - pgadmin_v:/var/lib/pgadmin
    links:
      - postgresql:pgsql-server
      #TODO what           :pgsql-server is linked here?
      #TODO what is :links syntax servicename:value using here

volumes:
  postgresql_v:
  pgadmin_v:
